## ros-indigo-naoqi-dashboard 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(naoqi_dashboard)

find_package(catkin)

catkin_package()

catkin_python_setup()

install(DIRECTORY config icons launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(FILES plugin.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(PROGRAMS scripts/naoqi_dashboard DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-naoqi-dashboard (0.1.4-0trusty) trusty; urgency=high

  * remove find_package components
  * Contributors: Karsten Knese

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 26 Aug 2015 22:00:00 -0000

ros-indigo-naoqi-dashboard (0.1.3-0trusty) trusty; urgency=high

  * resolve ns deb
  * add conflicts with the previous naming conventions
  * fix bad import
  * fix default namespace
  * update posture execution
  * hardcode /diagnostic_agg topic
  * actions for rest,wakeup,life
  * clean the statuses of the buttons according to the new aggregator
  * rename the package to naoqi_dashboard
  * move files around
  * update to the latest diagnostics
  * rename info to be more NAOqi robot agnostic
  * update the frame to handle the new diagnostics
  * get the code to depend on naoqi_bridge_msgs
  * offer a uniquified and sorted list of robots
  * Contributors: Karsten Knese, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 25 Aug 2015 22:00:00 -0000

ros-indigo-naoqi-dashboard (0.1.2-0trusty) trusty; urgency=high

  * switch to using naoqi_msgs and not nao_msgs
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Nov 2014 23:00:00 -0000

ros-indigo-naoqi-dashboard (0.1.1-0trusty) trusty; urgency=high

  * fix bad dependency definition
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 10 Jun 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-naoqi-dashboard
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/naoqi_dashboard
Standards-Version: 3.9.2

Package: ros-indigo-naoqi-dashboard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-diagnostic-aggregator, ros-indigo-diagnostic-common-diagnostics, ros-indigo-diagnostic-msgs, ros-indigo-naoqi-bridge-msgs (>= 0.0.4), ros-indigo-rqt-robot-dashboard, ros-indigo-rqt-robot-monitor
Conflicts: ros-indigo-nao-dashboard, ros-indigo-nao-viz
Description: naoqi_dashboard is a GUI for monitoring the state of an ALdebaran robot. It is a port of pr2_dashboard and shows status information like battery status, joint temperatures, and joint stiffness, as well as integrating ROS tools like rqt_console and rqt_robot_monitor.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-naoqi-dashboard//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
